com.independentsoft.exchange

## Enum ConversationNodeSortOrder

- java.lang.Object
- - java.lang.Enum<ConversationNodeSortOrder>
  - - com.independentsoft.exchange.ConversationNodeSortOrder

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<ConversationNodeSortOrder>

      public enum ConversationNodeSortOrder
      extends java.lang.Enum<ConversationNodeSortOrder>

  The Enum ConversationNodeSortOrder.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DATE_ORDER_ASCENDING`
    `DATE_ORDER_DESCENDING`
    `NONE`
    `TREE_ORDER_ASCENDING`
    `TREE_ORDER_DESCENDING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static ConversationNodeSortOrder` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static ConversationNodeSortOrder[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TREE_ORDER_ASCENDING

          public static final ConversationNodeSortOrder TREE_ORDER_ASCENDING

    - #### TREE_ORDER_DESCENDING

          public static final ConversationNodeSortOrder TREE_ORDER_DESCENDING

    - #### DATE_ORDER_ASCENDING

          public static final ConversationNodeSortOrder DATE_ORDER_ASCENDING

    - #### DATE_ORDER_DESCENDING

          public static final ConversationNodeSortOrder DATE_ORDER_DESCENDING

    - #### NONE

          public static final ConversationNodeSortOrder NONE

  - ### Method Detail

    - #### values

          public static ConversationNodeSortOrder[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConversationNodeSortOrder c : ConversationNodeSortOrder.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConversationNodeSortOrder valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null